compiz crashed on startup with SIGSEGV in strstr() from GLScreen::GLScreen()

Bug #944653 reported by Ethan Chang on 2012-03-02
696
This bug affects 73 people
Affects Status Importance Assigned to Milestone
Compiz
Critical
Daniel van Vugt
Compiz Core
High
Daniel van Vugt
compiz (Ubuntu)
Critical
Unassigned
Precise
Undecided
Unassigned

Bug Description

[Impact]

A frequent crasher.

[Test Case]

Ensure no crashes happen with the same stack trace, but there is no one clear test case.

[Regression Potential]

Low, the commit is a simple NULL check to prevent a crash and show a warning in log instead.

--- original bug report ---

Ubuntu 12.04 beta1
unity 5.4.0-0ubuntu2
compiz 1:0.9.7.0~bzr2995-0ubuntu5
compiz crashes frequently after boot into system.

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: compiz-core 1:0.9.7.0~bzr2995-0ubuntu5
ProcVersionSignature: Ubuntu 3.2.0-17.27-generic 3.2.6
Uname: Linux 3.2.0-17-generic x86_64
NonfreeKernelModules: nvidia wl
.proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory: '/proc/driver/nvidia/gpus/0'
.proc.driver.nvidia.registry: Binary: ""
.proc.driver.nvidia.version:
 NVRM version: NVIDIA UNIX x86_64 Kernel Module 295.20 Mon Feb 6 21:07:30 PST 2012
 GCC version: gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-16ubuntu1)
.tmp.unity.support.test.0:

ApportVersion: 1.93-0ubuntu2
Architecture: amd64
CompizPlugins: [core,bailer,detection,composite,opengl,compiztoolbox,decor,regex,gnomecompat,mousepoll,resize,imgpng,place,session,snap,move,grid,vpswitch,unitymtgrabhandles,wall,animation,expo,fade,workarounds,ezoom,scale,unityshell]
CompositorRunning: compiz
CurrentDmesg:
 [ 44.441706] type=1400 audit(1330680576.805:24): apparmor="DENIED" operation="open" parent=2141 profile="/usr/lib/telepathy/mission-control-5" name="/usr/share/gvfs/remote-volume-monitors/" pid=2142 comm="mission-control" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
 [ 50.880026] eth2: no IPv6 routers present
Date: Fri Mar 2 17:27:29 2012
DistUpgraded: Log time: 2012-03-02 14:48:08.811970
DistroCodename: precise
DistroVariant: ubuntu
DkmsStatus:
 bcmwl, 5.100.82.38+bdcom, 3.2.0-17-generic, x86_64: installed
 nvidia-current, 295.20, 3.2.0-17-generic, x86_64: installed
ExecutablePath: /usr/bin/compiz
GraphicsCard:
 NVIDIA Corporation C79 [GeForce 9400M] [10de:0863] (rev b1) (prog-if 00 [VGA controller])
   Subsystem: Apple Inc. Device [106b:00b9]
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120301)
JockeyStatus:
 kmod:wl - Broadcom STA wireless driver (Proprietary, Enabled, In use) [auto-install]
 xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary, Enabled, In use)
 xorg:nvidia_current_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Disabled, Not in use)
MachineType: Apple Inc. MacBookPro5,5
ProcCmdline: Compiz
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic root=UUID=7b317aa3-857b-4076-888b-7d3602de212a ro quiet splash vt.handoff=7
SegvAnalysis:
 Segfault happened at: 0x7f56f26a6d74: movzbl (%rdi),%eax
 PC (0x7f56f26a6d74) ok
 source "(%rdi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: compiz
StacktraceTop:
 ?? () from /lib/x86_64-linux-gnu/libc.so.6
 GLScreen::GLScreen(CompScreen*) () from /usr/lib/compiz/libopengl.so
 PluginClassHandler<GLScreen, CompScreen, 4>::get(CompScreen*) () from /usr/lib/compiz/libopengl.so
 CompPlugin::VTableForScreenAndWindow<GLScreen, GLWindow>::initScreen(CompScreen*) () from /usr/lib/compiz/libopengl.so
 CompManager::initPlugin(CompPlugin*) () from /usr/lib/libcompiz_core.so.ABI-20120216
Title: compiz crashed with SIGSEGV in GLScreen::GLScreen()
UpgradeStatus: Upgraded to precise on 2012-03-02 (0 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 06/15/09
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP55.88Z.00AC.B03.0906151708
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-F2268AC8
dmi.board.vendor: Apple Inc.
dmi.chassis.asset.tag: Asset Tag#
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F2268AC8
dmi.modalias: dmi:bvnAppleInc.:bvrMBP55.88Z.00AC.B03.0906151708:bd06/15/09:svnAppleInc.:pnMacBookPro5,5:pvr1.0:rvnAppleInc.:rnMac-F2268AC8:rvr:cvnAppleInc.:ct10:cvrMac-F2268AC8:
dmi.product.name: MacBookPro5,5
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.
version.compiz: compiz 1:0.9.7.0~bzr2995-0ubuntu5
version.ia32-libs: ia32-libs N/A
version.libdrm2: libdrm2 2.4.30-1ubuntu1
version.libgl1-mesa-dri: libgl1-mesa-dri 8.0.1-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 8.0.1-0ubuntu2
version.nvidia-graphics-drivers: nvidia-graphics-drivers N/A
version.xserver-xorg-core: xserver-xorg-core 2:1.11.4-0ubuntu4
version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.6.99.901+git20120126-0ubuntu2
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.99~git20111219.aacbd629-0ubuntu2
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.17.0-1ubuntu4
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20111201+b5534a1-1build2

Related branches

Ethan Chang (ethan.chang) wrote :

StacktraceTop:
 strstr (__needle=0x7f56e6b42dff "GLX_SGIX_fbconfig", __haystack=0x0) at /usr/include/string.h:337
 GLScreen::GLScreen (this=0x1fb5060, s=0x1f28910) at /build/buildd/compiz-0.9.7.0~bzr2995/plugins/opengl/src/screen.cpp:380
 getInstance (base=0x1f28910) at /build/buildd/compiz-0.9.7.0~bzr2995/plugins/../src/pluginclasshandler/include/core/pluginclasshandler.h:225
 PluginClassHandler<GLScreen, CompScreen, 4>::get (base=0x1f28910) at /build/buildd/compiz-0.9.7.0~bzr2995/plugins/../src/pluginclasshandler/include/core/pluginclasshandler.h:269
 CompPlugin::VTableForScreenAndWindow<GLScreen, GLWindow>::initScreen (this=<optimized out>, s=<optimized out>) at /build/buildd/compiz-0.9.7.0~bzr2995/plugins/../include/core/plugin.h:235

Changed in compiz (Ubuntu):
importance: Undecided → Medium
summary: - compiz crashed with SIGSEGV in GLScreen::GLScreen()
+ compiz crashed with SIGSEGV in strstr()
tags: removed: need-amd64-retrace

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in compiz (Ubuntu):
status: New → Confirmed
tags: added: quantal
tags: added: running-unity

The problem is in the opengl plugin. glxExtensions is NULL. Maybe we have the wrong screenNum in some cases...

    glxExtensions = glXQueryExtensionsString (dpy, s->screenNum ());
    if (!strstr (glxExtensions, "GLX_SGIX_fbconfig"))

visibility: private → public
Changed in compiz:
status: New → Confirmed
importance: Undecided → High
Changed in compiz (Ubuntu):
importance: Medium → High
Changed in compiz:
milestone: none → 0.9.8.0
summary: - compiz crashed with SIGSEGV in strstr()
+ compiz crashed with SIGSEGV in strstr() from GLScreen::GLScreen()
summary: - compiz crashed with SIGSEGV in strstr() from GLScreen::GLScreen()
+ compiz crashed on startup with SIGSEGV in strstr() from
+ GLScreen::GLScreen()
Changed in compiz:
importance: High → Critical
Changed in compiz (Ubuntu):
importance: High → Critical
Changed in compiz-core:
status: New → Confirmed
status: Confirmed → Triaged
Changed in compiz (Ubuntu):
status: Confirmed → Triaged
Changed in compiz-core:
importance: Undecided → Critical
milestone: none → 0.9.7.10
Daniel van Vugt (vanvugt) wrote :

Having the wrong screen number sounds likely to be the problem. People report this crash as occurring after other crashes -- compiz can't restart. And quite often that's when X will switch from DISPLAY=:0 to DISPLAY=:1

Changed in compiz:
milestone: 0.9.8.2 → 0.9.8.4
sordna (sordna) wrote :
Download full text (7.6 KiB)

I started having this problem after upgrading my kernel from 3.2.0-29-generic to 3.2.0-30-generic few days ago.

Booting back to 3.2.0-29-generic resolves the problem.

I am running 64-bit Xubuntu version 12.04 with latest standard updates (compiz version 0.9.7.8-0ubuntu1.4 / nvidia-current 295.40-0ubuntu1.1 ) and for weeks have been applying updates including kernels without problems, until 3.2.0-30-generic came along which triggers this problem for me.

SegvAnalysis:
 Segfault happened at: 0x7f5edb510ae4 <__strstr_sse2+20>: movzbl (%rdi),%eax
 PC (0x7f5edb510ae4) ok
 source "(%rdi)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
SourcePackage: compiz
Stacktrace:
 #0 __strstr_sse2 (haystack_start=0x0, needle_start=0x7f5ed5a90bfa "GLX_SGIX_fbconfig") at ../string/strstr.c:63
         haystack = 0x0
         needle = 0x7f5ed5a90bfa "GLX_SGIX_fbconfig"
         needle_len = <optimized out>
         haystack_len = <optimized out>
         ok = true
 #1 0x00007f5ed5a85d4b in GLScreen::GLScreen(CompScreen*) () from /usr/lib/compiz/libopengl.so
 No symbol table info available.
 #2 0x00007f5ed5a6e648 in PluginClassHandler<GLScreen, CompScreen, 4>::get(CompScreen*) () from /usr/lib/compiz/libopengl.so
 No symbol table info available.
 #3 0x00007f5ed5a6e85c in CompPlugin::VTableForScreenAndWindow<GLScreen, GLWindow>::initScreen(CompScreen*) () from /usr/lib/compiz/libopengl.so
 No symbol table info available.
 #4 0x00007f5edbdb1a1c in CompManager::initPlugin(CompPlugin*) () from /usr/lib/libcompiz_core.so.ABI-20120305
 No symbol table info available.
 #5 0x00007f5edbdb2451 in CompPlugin::push(CompPlugin*) () from /usr/lib/libcompiz_core.so.ABI-20120305
 No symbol table info available.
 #6 0x00007f5edbd83b0d in compiz::private_screen::PluginManager::updatePlugins() () from /usr/lib/libcompiz_core.so.ABI-20120305
 No symbol table info available.
 #7 0x00007f5edbd84069 in PrivateScreen::processEvents() () from /usr/lib/libcompiz_core.so.ABI-20120305
 No symbol table info available.
 #8 0x00007f5edbdb7287 in CompEventSource::callback() () from /usr/lib/libcompiz_core.so.ABI-20120305
 No symbol table info available.
 #9 0x00007f5eda2bef2f in Glib::Source::dispatch_vfunc(_GSource*, int (*)(void*), void*) () from /usr/lib/x86_64-linux-gnu/libglibmm-2.4.so.1
 No symbol table info available.
 #10 0x00007f5ed9dc6d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #11 0x00007f5ed9dc70a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #12 0x00007f5ed9dc749a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
 No symbol table info available.
 #13 0x000000000040241e in main ()
 No symbol table info available.
StacktraceAddressSignature: /usr/bin/compiz:11:x86_64:/usr/lib/compiz/libopengl.so+2bd4b:/usr/lib/compiz/libopengl.so+14648:/usr/lib/compiz/libopengl.so+1485c:/usr/lib/libcompiz_core.so.0.9.7.8+6da1c:/usr/lib/libcompiz_core.so.0.9.7.8+6e451:/usr/lib/libcompiz_core.so.0.9.7.8+3fb0d:/usr/lib/libcompiz_core.so.0.9.7.8+40069:/usr/lib/libcompiz_core.so.0.9.7.8+...

Read more...

Daniel van Vugt (vanvugt) wrote :

Fix committed into lp:compiz at revision 3374

Angel Guzman Maeso (shakaran) wrote :

This fix will be sent in time for quantal? Thanks

Felix Moreno (felix-justdust) wrote :

IMPORTANT! I fix it removing the nvidia drivers... as you can see in the log I have a Intel card but I don't know why nvidia drivers were installed.

Download full text (5.7 KiB)

how do you removed nvidia driver?
by terminal??
thank you!

2012/9/18 Felix Moreno <email address hidden>

> IMPORTANT! I fix it removing the nvidia drivers... as you can see in the
> log I have a Intel card but I don't know why nvidia drivers were
> installed.
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1047781).
> https://bugs.launchpad.net/bugs/944653
>
> Title:
> compiz crashed on startup with SIGSEGV in strstr() from
> GLScreen::GLScreen()
>
> Status in Compiz:
> Fix Committed
> Status in Compiz 0.9.8 series:
> Fix Committed
> Status in Compiz Core:
> Triaged
> Status in “compiz” package in Ubuntu:
> Triaged
>
> Bug description:
> Ubuntu 12.04 beta1
> unity 5.4.0-0ubuntu2
> compiz 1:0.9.7.0~bzr2995-0ubuntu5
> compiz crashes frequently after boot into system.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: compiz-core 1:0.9.7.0~bzr2995-0ubuntu5
> ProcVersionSignature: Ubuntu 3.2.0-17.27-generic 3.2.6
> Uname: Linux 3.2.0-17-generic x86_64
> NonfreeKernelModules: nvidia wl
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 295.20 Mon Feb 6
> 21:07:30 PST 2012
> GCC version: gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-16ubuntu1)
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,regex,gnomecompat,mousepoll,resize,imgpng,place,session,snap,move,grid,vpswitch,unitymtgrabhandles,wall,animation,expo,fade,workarounds,ezoom,scale,unityshell]
> CompositorRunning: compiz
> CurrentDmesg:
> [ 44.441706] type=1400 audit(1330680576.805:24): apparmor="DENIED"
> operation="open" parent=2141 profile="/usr/lib/telepathy/mission-control-5"
> name="/usr/share/gvfs/remote-volume-monitors/" pid=2142
> comm="mission-control" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
> [ 50.880026] eth2: no IPv6 routers present
> Date: Fri Mar 2 17:27:29 2012
> DistUpgraded: Log time: 2012-03-02 14:48:08.811970
> DistroCodename: precise
> DistroVariant: ubuntu
> DkmsStatus:
> bcmwl, 5.100.82.38+bdcom, 3.2.0-17-generic, x86_64: installed
> nvidia-current, 295.20, 3.2.0-17-generic, x86_64: installed
> ExecutablePath: /usr/bin/compiz
> GraphicsCard:
> NVIDIA Corporation C79 [GeForce 9400M] [10de:0863] (rev b1) (prog-if 00
> [VGA controller])
> Subsystem: Apple Inc. Device [106b:00b9]
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64
> (20120301)
> JockeyStatus:
> kmod:wl - Broadcom STA wireless driver (Proprietary, Enabled, In use)
> [auto-install]
> xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary,
> Enabled, In use)
> xorg:nvidia_current_updates - NVIDIA accelerated graphics driver
> (post-release updates) (Proprietary, Disabled, Not in use)
> MachineType: Apple Inc. MacBookPro5,5
> ProcCmdline: Compiz
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> r...

Read more...

Changed in compiz-core:
importance: Critical → High
Launchpad Janitor (janitor) wrote :
Download full text (5.2 KiB)

This bug was fixed in the package compiz - 1:0.9.8.2+bzr3377-0ubuntu1

---------------
compiz (1:0.9.8.2+bzr3377-0ubuntu1) quantal-proposed; urgency=low

  [ Sam Spilsbury ]
  * debian/python-compizconfig.install
    - Install compizconfig-python.pc
  * debian/patches/100_expo_layout.patch
    - re-add the expo layout that used to be in precise (LP: #1047067)
    - add some testcases

  [ Timo Jyrinki ]
  * New upstream snapshot.
    - Fix multiple window placement bugs (LP: #974242) (LP: #976032)
    - Don't waste CPU looping through and looking at all the windows if you're
      rendering an output that has no damage on it. (LP: #1014986)
    - Updated convert files to fix some typos in the key names. (LP: #1041631)
    - Fix crash when imgsvg is loaded, due to missing symbol
      (decor_apply_gravity from libdecoration). (LP: #956986)
    - Treat unresolved symbols at link time as an error, rather than letting
      them through and cause strange crashes later. (LP: #1043143)
    - Refactors a little bit of the upgrade code and gets it under test to
      prepare to fix (LP: #1042537)
    - Updated AUTHORS from the full bzr log, and re-sort the list.
      (LP: #1042095)
    - Fixes FTBFS for kde4-window-decorator (LP: #1041310)
    - Fix obvious omissions from the introduction of unminimize_*,
      which were causing the unminimize animation settings to be ignored
      (LP: #1040455)
    - resize plugin: don't crash if resize wasn't initiated externally
      (LP: #1045191)
    - Clean up capitalization (LP: #1045652)
    - Avoid division by zero, if plugins try to deform a window down to size
      zero. (LP: #1045235)
    - Make "Unredirect Fullscreen Windows" more reliable. This fixes the
      problem with unredirection failing to engage at all (LP: #1041066) when
      gtk-window-decorator creates offscreen windows that are stacked on top.
      This also fixes the problem with unredirect hiding all windows,
      because it thinks the desktop window should be stacked on top
      (LP: #980663).
    - Ensure unredirected windows don't stay unredirected if they're no longer
      on top. (LP: #1041047)
    - Fix launching terminal functionality and make show-hud default key
      visible. Update the defaults to org.compiz.integrated to reflect the
      actual gnome values pre-gnome-3. (LP: #1040081) (LP: #1046199)
      (LP: #1046190)
    - Fix show-hud, bump COMPIZ_GNOME_INTEGRATED_SETTINGS_LIST_SIZE.
      (LP: #1046212)
    - Fixed: Windows with an alpha-channel, like gnome-terminal, were not
      being considered as possibly covering fullscreen windows. But they most
      certainly can. This ensures such RGBA windows are visible if they're
      stacked above a fullscreen window. (LP: #1046661)
    - Remove ListToStringList (LP: #1046184)
    - Fix typo causing CMake Error (LP: #1045665)
    - Transitions gtk-window-decorator over to use GSettings. Add a testing
      framework for the options code. (LP: #1042323)
    - Also need kdeworkspace since kdecorationbridge.h is there
      (LP: #1046770)
    - Implements some cleanup that was suggested on the merge for the original
      port to gsettings. Other issues fixed as wel...

Read more...

Changed in compiz (Ubuntu):
status: Triaged → Fix Released
sordna (sordna) wrote :

Will the bugfix be made available to Ubuntu Precice 12.04 ?

Changed in compiz:
status: Fix Committed → Fix Released
no longer affects: compiz/0.9.8
Daniel van Vugt (vanvugt) wrote :

Fix committed to lp:compiz-core/0.9.7 at revision 3120.

Changed in compiz-core:
assignee: nobody → Daniel van Vugt (vanvugt)
status: Triaged → Fix Committed
Marco Buono (new.life) wrote :
Download full text (5.7 KiB)

No fix.. Still affecting my desktop
Il giorno 02/ott/2012 10:36, "Daniel van Vugt" <
<email address hidden>> ha scritto:

> Fix committed to lp:compiz-core/0.9.7 at revision 3120.
>
> ** Changed in: compiz-core
> Status: Triaged => Fix Committed
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1051517).
> https://bugs.launchpad.net/bugs/944653
>
> Title:
> compiz crashed on startup with SIGSEGV in strstr() from
> GLScreen::GLScreen()
>
> Status in Compiz:
> Fix Released
> Status in Compiz Core:
> Fix Committed
> Status in “compiz” package in Ubuntu:
> Fix Released
>
> Bug description:
> Ubuntu 12.04 beta1
> unity 5.4.0-0ubuntu2
> compiz 1:0.9.7.0~bzr2995-0ubuntu5
> compiz crashes frequently after boot into system.
>
> ProblemType: Crash
> DistroRelease: Ubuntu 12.04
> Package: compiz-core 1:0.9.7.0~bzr2995-0ubuntu5
> ProcVersionSignature: Ubuntu 3.2.0-17.27-generic 3.2.6
> Uname: Linux 3.2.0-17-generic x86_64
> NonfreeKernelModules: nvidia wl
> .proc.driver.nvidia.gpus.0: Error: [Errno 21] Is a directory:
> '/proc/driver/nvidia/gpus/0'
> .proc.driver.nvidia.registry: Binary: ""
> .proc.driver.nvidia.version:
> NVRM version: NVIDIA UNIX x86_64 Kernel Module 295.20 Mon Feb 6
> 21:07:30 PST 2012
> GCC version: gcc version 4.6.2 (Ubuntu/Linaro 4.6.2-16ubuntu1)
> .tmp.unity.support.test.0:
>
> ApportVersion: 1.93-0ubuntu2
> Architecture: amd64
> CompizPlugins:
> [core,bailer,detection,composite,opengl,compiztoolbox,decor,regex,gnomecompat,mousepoll,resize,imgpng,place,session,snap,move,grid,vpswitch,unitymtgrabhandles,wall,animation,expo,fade,workarounds,ezoom,scale,unityshell]
> CompositorRunning: compiz
> CurrentDmesg:
> [ 44.441706] type=1400 audit(1330680576.805:24): apparmor="DENIED"
> operation="open" parent=2141 profile="/usr/lib/telepathy/mission-control-5"
> name="/usr/share/gvfs/remote-volume-monitors/" pid=2142
> comm="mission-control" requested_mask="r" denied_mask="r" fsuid=1000 ouid=0
> [ 50.880026] eth2: no IPv6 routers present
> Date: Fri Mar 2 17:27:29 2012
> DistUpgraded: Log time: 2012-03-02 14:48:08.811970
> DistroCodename: precise
> DistroVariant: ubuntu
> DkmsStatus:
> bcmwl, 5.100.82.38+bdcom, 3.2.0-17-generic, x86_64: installed
> nvidia-current, 295.20, 3.2.0-17-generic, x86_64: installed
> ExecutablePath: /usr/bin/compiz
> GraphicsCard:
> NVIDIA Corporation C79 [GeForce 9400M] [10de:0863] (rev b1) (prog-if 00
> [VGA controller])
> Subsystem: Apple Inc. Device [106b:00b9]
> InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64
> (20120301)
> JockeyStatus:
> kmod:wl - Broadcom STA wireless driver (Proprietary, Enabled, In use)
> [auto-install]
> xorg:nvidia_current - NVIDIA accelerated graphics driver (Proprietary,
> Enabled, In use)
> xorg:nvidia_current_updates - NVIDIA accelerated graphics driver
> (post-release updates) (Proprietary, Disabled, Not in use)
> MachineType: Apple Inc. MacBookPro5,5
> ProcCmdline: Compiz
> ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-17-generic
> root=UUID=7b317aa3-857b-4076-888b-7d3602de212a ro...

Read more...

Daniel van Vugt (vanvugt) wrote :

Marco,

Fix Committed means the fix is scheduled but not released. The fix for this bug is only released in the latest updates for Ubuntu 12.10. It is not fix released in 12.04 yet.

sordna (sordna) wrote :

Is compiz-core/0.9.7 with revision 3120 or later available somewhere as a .deb package for us to download and try (before it becomes available through the normal update manager) ?

sordna (sordna) wrote :

Hello,
since the fix has been release over a month ago for 12.10, when can we get it on 12.04 ? A lot of folks want to stay in LTS so it is very important this gets released for 12.04.

Daniel van Vugt (vanvugt) wrote :

Yes the fix is queued for release in compiz 0.9.7.10 for 12.04. Not sure when that will be though.

Timo Jyrinki (timo-jyrinki) wrote :

The fix is now testable at https://launchpad.net/~unity-team/+archive/sru (ppa:unity-team/sru). Actual verification action will be required when the new SRU hits precise-proposed.

description: updated
sordna (sordna) wrote :

Thanks Timo! I tried the ppa and updated compiz; indeed the crash is fixed however the decorator doesn't seem to work when I run kernel 3.2.0-30 or newer.

I don't think this is any worse that the previous version of compiz though, in which case I got a crash with the same kernels (with kernel 3.2.0-29 both the old and the new compiz work fine for me by the way).

So I have to ask, what changed between kernel 3.2.0-29 and 3.2.0-30 that causes compiz to either crash, or after this fix, causes the decorator to not do anything? I even tried compiz-decorator --replace, it finds and says it starts /usr/bin/gtk-window-decorator but to no effect, all windows I launch are still borderless and the desktop cube is not rotating (I can't switch to other workspaces).

Am I hitting some other bug? Any pointers welcome!

Daniel van Vugt (vanvugt) wrote :

sordna: Sounds like compiz is crashing or failing to start for some other reason. Hence you won't have window decorations or cube rotation etc.

Please try to find a .crash file for it in /var/crash and log a new bug.

sordna (sordna) wrote :

Ok, false alarm, for some reason my nvidia kernel module wasn't being built... I fixed it with 'dpkg-reconfigure nvidia-current'
(found this out by running 'compiz --replace ccp' and seeing messages GLX extension missing).

Sorry for the noise, but at least I can verify that I did consistently get a compiz crash that was resolved only after upgrading to version 0.9.7.8+bzr3121-0ubuntu1~test6 from ppa:unity-team/sru

So the fix is good, thanks to all who made it happen and hope to see it soon in the regular repository for 12.04 LTS.

Changed in compiz-core:
status: Fix Committed → Fix Released

Hello Ethan, or anyone else affected,

Accepted compiz into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/compiz/1:0.9.7.8+bzr3121-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please change the bug tag from verification-needed to verification-done. If it does not, change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in compiz (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
sordna (sordna) wrote :

I just tried the proposed packages per the instructions, and do not get the crash, so I changed the tag to verification-done.

tags: added: verification-done
removed: verification-needed
sordna (sordna) wrote :

BTW here is my particular test case to reproduce the bug, it is rather different from other folks since I only experience the bug when I don't have the nvidia kernel module loaded, so here goes:

1. Make the nvidia module unavailable, eg: mv /lib/modules/3.2.0-34-generic/updates/dkms/nvidia_current.ko ~
2. Reboot the machine and login
3. I immediately get the compiz segfault and cannot launch any windows, desktop is not responsive so I have to kill X and login in console mode
4. Install the proposed packages (compiz-core, compiz-gnome, compiz-plugins, compiz-plugins-default, libdecoration0, version 1:0.9.7.8+bzr3121-0ubuntu1) per instructions
5. Reboot the machine and login
6. I do NOT get the segfault, however compiz fails due to the nvidia module and relevant extensions not loaded (as expected), but I can launch (undecorated) windows... there is no crash and this verifies the bug fix for me!
7. Restore the nvidia kernel module in its place
8. Reboot the machine and login
9. Everything works properly

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz - 1:0.9.7.8+bzr3121-0ubuntu1

---------------
compiz (1:0.9.7.8+bzr3121-0ubuntu1) precise-proposed; urgency=low

  * New upstream stable branch snapshot.
    - Includes all the previous cherry-picked fixes
    - Fix crash when imgsvg is loaded, due to missing symbol
      (decor_apply_gravity from libdecoration). (LP: #956986)
    - Fix multiple window placement bugs (LP: #974242) (LP: #976032)
    - Fix window handle leak causing gradual degradation in desktop
      performance (LP: #1050610)
    - Some decoration pixmaps get leaked on window resize, due to race
      conditions between gtk-window-decorator and the decor plugin.
      (LP: #1057263)
    - Avoid a NULL dereference and give a useful error message instead.
      (LP: #944653)
    - Fix leakage of destroyed_pixmaps_table, containing pointers to freed
      decor_t's which could result in a freed GHashTable being passed into
      g_hash_table_remove and causing a crash. (LP: #1060171)
  * debian/patches/compiz-package-gles2.patch:
    - Drop the NEWS file, update decor.cpp part to build with new upstream
      code.
  * debian/patches/revert_fix_933776_955035.patch:
    - Cherry-pick the revert from upstream since the bug fix is not
      suitable for SRU as is
  * debian/patches/revert_fix_994841.patch:
    - Cherry-pick also this revert as non-SRU material, not relevant
      to users
  * debian/libdecoration0.symbols:
    - Update with latest symbols
 -- Timo Jyrinki <email address hidden> Mon, 12 Nov 2012 13:56:29 +0200

Changed in compiz (Ubuntu Precise):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers